!set title=Temps
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Bernadette Perrin-Riou
email=bpr@math.u-psud.fr
language=fr
computeanswer=no

ansorder=r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r
varcnt=90
prevarcnt=89
postvarcnt=0
replycnt=21
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=temps
tmp0=!nosubst Marquer les verbes conjugués

val7=$(tmp0)
tmp0=!nosubst Donner le temps

val8=$(tmp0)
val9=
val10=
val11=no
val12=no
val13=no
val14=
val15=yes
val16=12
val17=split
val18=1
val19=aucune de ces possibilités
val20=case
val21=background-color: #FFFFCC; margin: 2% 5%; padding: 2%;
val22=background-color: #FFCC99; color: black; margin: 2% 5%; padding: 2%;
val23=
val24=ol li {list-style: upper-alpha; }
val25=outside
val26=yes
val27=1
val28=
val29=
tmp=!nonempty items $val6

tmp0=!randitem $tmp
val30=$(tmp0)
tmp0=!recordcnt $val30

val31=$[rint($(tmp0))]
val32=1
val33=1
val34=3

!ifval $val27 notwordof 0 
val27=$[rint( 1)]
!endif

!ifval $val7 issametext 
tmp0=!getdef instruction in $val30

val7= $(tmp0)
!endif

!ifval $val8 issametext 
tmp0=!getdef instruction2 in $val30

val8= $(tmp0)
!endif

!ifval $val16 issametext 
tmp0=!getdef size in $val30

val16= $(tmp0)
!endif

!ifval $val12 issametext 
tmp0=!getdef reading_file in $val30

val12= $(tmp0)
!endif
tmp0=!record 0 of $val12

val35=$(tmp0)

!ifval $val11 issametext 
tmp0=!getdef audio_file in $val30

val11= $(tmp0)
!endif

!ifval $val11 notsametext  and  $val11 notsametext no
!readproc slib/media/audio $val1/$val11 
tmp0=$slib_out
val36= 	<p align="center">$(tmp0)</p>
!endif

!ifval $val13 issametext 
tmp0=!getdef image_file in $val30

val13= $(tmp0)
!endif

!ifval $val13 notsametext  and  $val13 notsametext no
tmp0=!makelist <img src=$val1/x> for x in $val13

val37= 	$(tmp0)
!endif

!ifval $val14 issametext 
tmp0=!getdef video_file in $val30

val14= $(tmp0)
!endif

!ifval $val14 notsametext  and  $val14 notsametext no
val38= 	<a wims_target=external href="$val1/$val14">[video] </a></p>
!endif

!ifval $val9 issametext 
tmp0=!getdef choice in $val30

val39= $(tmp0)
!else
val39=$val9
!endif
val40=<style type="text/css">	 .question {$val21}	 .reponse {$val22}	 .oefstatement{$val23}	 $val24	 </style>	 

!ifval $val29 notwordof 1 2 3 4 5 6 7 8 9 10 
val29= 1
!endif

!ifval $val20 iswordof dragfill clickfill 
val16= $val16 x 1
!endif
val33=$[rint(min($val31,$val33))]
val32=$[rint(min($val33*$val32,$val31))]

!ifval $val15 issametext yes 
tmp0=!shuffle $val31

val41= $(tmp0) 
!else
tmp1=!makelist x for x = 1 to $val31

val41=	$(tmp1)
!endif
val42=$[rint(15)]
tmp=!trim 
val43=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val44=!translate internal $	\
$ to ;; in $tmp
val45=
tmp=!trim 
val46=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val47=!translate internal $	\
$ to ;; in $tmp
val48=
tmp0=!record $(val41[1]) of $val30

val49=$(tmp0)
!if $val33 >=2 
!for val50 = 2 to $val33 
tmp0=!record $(val41[$val50]) of $val30

val49=$val49 <p>  $(tmp0)</p>
!next
!endif
tmp0=!embraced randitem $val49

val49=$(tmp0)
!readproc slib/text/markgroup $val49 
tmp0=$slib_out
tmp=!trim $(tmp0)
val49=!translate internal $	\
$ to ;; in $tmp
tmp=!trim $(val49[1..-4;])
val46=!translate internal $	\
$ to ;; in $tmp
val51=$(val49[-2;])
tmp=!translate internal $	$ to ; in $val46

tmp0=!rowcnt $tmp
val52=$(tmp0)
tmp0=!rows2lines $val46

val53=$(tmp0)
tmp0=!lines2items $val53

val53=$(tmp0)
tmp0=!column 1 of $val46

val54=$(tmp0)
val49=$(val49[-3;])
tmp0=!itemcnt $val49

val48=$(tmp0)
tmp0=!items2words $val49

val55=$(tmp0)
val56=
!for val50  = 1 to $val52 
val57=$(val49[$(val46[$val50;])])
tmp0=!items2words $val57

val57=$(tmp0)
val56=$val56,$val57
!next
tmp0=!nonempty items $val56

val56=$(tmp0)
tmp0=!makelist r x for x = 2 to $val52+1

val58=$(tmp0)
val59=
val60=$[rint(0)]
!for val61  = 1 to $val48 
!if $val61 isitemof $val54 
val60=$[rint($val60+1)]
val59=$val59,$val60
!else
val59=$val59,0
!endif
!next
tmp0=!nonempty items $val59

val59=$(tmp0)

!ifval $val27=1
val62=r1
!endif

!ifval $val26 issametext yes 
val62= $val62	$val58	
!endif
val63=$[rint($val48%$val42)]
val64=$[rint(($val48-$val63)/$val42)]

!ifval $val63=0
val64=$[rint( $val64-1)]
!endif
tmp0=!makelist x for x = 1 to $val48

val65=$(tmp0)
oefsteps=$val62 
nextstep=!nosubst $val62 
!readproc oef/steps.proc
replytype1=mark
replyoption1=$val17 
replyname1=
replygood1=$val53;$val49
replytype2=$val20

replyname2=$(val56[1])
replygood2=$(val51[1]);$val39
replytype3=$val20

replyname3=$(val56[2])
replygood3=$(val51[2])
replytype4=$val20

replyname4=$(val56[3])
replygood4=$(val51[3])
replytype5=$val20

replyname5=$(val56[4])
replygood5=$(val51[4])
replytype6=$val20

replyname6=$(val56[5])
replygood6=$(val51[5])
replytype7=$val20

replyname7=$(val56[6])
replygood7=$(val51[6])
replytype8=$val20

replyname8=$(val56[7])
replygood8=$(val51[7])
replytype9=$val20

replyname9=$(val56[8])
replygood9=$(val51[8])
replytype10=$val20

replyname10=$(val56[9])
replygood10=$(val51[9])
replytype11=$val20

replyname11=$(val56[10])
replygood11=$(val51[10])
replytype12=$val20

replyname12=$(val56[11])
replygood12=$(val51[11])
replytype13=$val20

replyname13=$(val56[12])
replygood13=$(val51[12])
replytype14=$val20

replyname14=$(val56[13])
replygood14=$(val51[13])
replytype15=$val20

replyname15=$(val56[14])
replygood15=$(val51[14])
replytype16=$val20

replyname16=$(val56[15])
replygood16=$(val51[15])
replytype17=$val20

replyname17=$(val56[16])
replygood17=$(val51[16])
replytype18=$val20

replyname18=$(val56[17])
replygood18=$(val51[17])
replytype19=$val20

replyname19=$(val56[18])
replygood19=$(val51[18])
replytype20=$val20

replyname20=$(val56[19])
replygood20=$(val51[19])
replytype21=$val20

replyname21=$(val56[20])
replygood21=$(val51[20])
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()$val40 <p>$val7</p>	   
!if $val35 notsametext  
$() 
!read oef/special.phtml help reading,[à lire] 
$() 
!endif
$()	   
!if $val37 notsametext  
$() 
!read oef/special.phtml help image,[à regarder] 
$() 
!endif
$()	  $val36$val38	   
!if $m_step=$val27 
$()	    <div class="question">	     
!for m_h=1 to $val48 
$()	       
!read oef/embed.phtml reply 1,\h 
$() 	     
!next
$()	    </div>	    
!endif
$()	  
!if $m_step >=1+$val27 
$()	    
!if $val25=outside 
$()	     <div class="reponse">	      
!for m_s = 1 to $val48 
$()	       
!if $m_s notitemof $val53 
$()$(val49[$m_s]) 
!else
$() 	       
!if $m_s isitemof $val53 
$()	      <font size=+1 color=blue>$(val49[$m_s])</font> 
!endif
$()	       
!endif
$()	     
!next
$()	    </div>	     <div class="question">	     <p>$val8</p>	     	    
!for m_s= 1 to $val52 
$()	         <br> $(val56[$m_s]) :  
!read oef/embed.phtml reply $(val58[$m_s]),$val16 
$()  	    
!next
$()	   </div>	  
!endif
$()	  
!if $val25=inside 
$()	    <div class="question">	       <p>$val8</p>	     
!for m_s = 1 to $val48 
$()	       
!if $m_s notitemof $val53 
$()$(val49[$m_s]) 
!else
$() 	       
!if $m_s isitemof $val54 
$()	       
!read oef/embed.phtml $(val58[$(val59[$m_s])]), $val16 
$()	       
!endif
$()	      <font size=-1 color=red>$(val49[$m_s])</font> 
!endif
$()	     
!next
$()	   </div>	   
!endif
$()	   
!if $val25=under 
$()	    <div class="question">	    	     
!for m_u = 0 to $val64 
$()<table border=0>	    <tr>	     
!for m_v = 1 to $val42 
$()<td align="center">	       
!if $(val65[$val42*$m_u+$m_v]) isitemof $val54 	         or $(val65[$val42*$m_u+$m_v]) notitemof $val53 
$() 
!endif
$()	        
!if $val42*$m_u+$m_v <= $val48 
$() 	          
!if $(val65[$val42*$m_u+$m_v]) isitemof $val53 
$()<font color=blue> 
!endif
$()	           $(val49[$val42*$m_u+$m_v]) 
!else
$() &nbsp; 
!endif
$()	           
!if $(val65[$val42*$m_u+$m_v]) isitemof $val53 
$()</font> 
!endif
$()	       </td>	       
!next
$()	     </tr><tr>	      
!for m_v = 1 to $val42 
$()	       
!if $(val65[$val42*$m_u+$m_v]) isitemof $val54 	         or $(val65[$val42*$m_u+$m_v]) notitemof $val53 
$() 
!endif
$()	        <td align="center">	       
!if $(val65[$val42*$m_u+$m_v]) isitemof $val54 
$() 	          
!read oef/embed.phtml $(val58[$(val59[$(val65[$val42*$m_u+$m_v])])]), $val16 
$()	       
!else
$() &nbsp; 
!endif
$()	      </td>	      
!next
$()	    </tr><tr><td colspan=$val42><hr></td></tr>	       </table>  
!next
$()		   </div>	   
!endif
$()	  
!endif
$()	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:latex
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=7,8,16,25,27,35,36,37,38,40,42,48,49,52,53,54,56,58,59,64,65
embedcnt=6
